import { Editor } from "codemirror";
import { EditorState, Transaction } from "prosemirror-state";
export declare type LanguageLoaders = Record<string, () => Promise<unknown>>;
export declare type CodeBlockSettings = {
    createSelect: (settings: CodeBlockSettings, dom: HTMLElement, cm: Editor) => () => void;
    languageLoaders?: LanguageLoaders;
    languageNameMap?: Record<string, string>;
    languageWhitelist?: string[];
    undo?: (state: EditorState, dispatch: (tr: Transaction) => void) => void;
    redo?: (state: EditorState, dispatch: (tr: Transaction) => void) => void;
};
